Bug 527748 - /proc/net/dev sometimes contains bogus values (BCM5706)
Summary: /proc/net/dev sometimes contains bogus values (BCM5706)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Flavio Leitner
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 515274
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-07 15:11 UTC by Flavio Leitner
Modified: 2010-03-30 07:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 515274
Environment:
Last Closed: 2010-03-30 07:31:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch for RHEL5u5 (3.40 KB, patch)
2009-10-07 19:18 UTC, Flavio Leitner
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Flavio Leitner 2009-10-07 15:11:31 UTC
+++ This bug was initially created as a clone of Bug #515274 +++

Description:
=============
The network utilization graphics in ganglia report shows peaks
of petabytes, when the network interface is just Gigabit eth.

Broadcom developer (Michael Chan) confirmed that NIC BCM5706 and
BCM5708 are very similar in design so BCM5706 could suffer the same
problem described below:

The statistics block DMA on 5708 can be messed up occasionally on the
average of about once per hour.  If the user is reading the counters
within one second after the corruption, the counters will be all
messed up.  One second later, the counters will be ok again until the
next corruption occurs.

The workaround is to disable the periodic statistics DMA.  Instead,
we manually trigger the DMA once a second in bnx2_timer().  This
manual trigger of the DMA avoids the problem.

Upstream:
Applied on net-next-2.6:
http://git.kernel.org/?p=linux/kernel/git/davem/net-next-2.6.git;a=commit;h=61d9e3fa7eacabfb7879e3da91709f1a5420c507

commit 61d9e3fa7eacabfb7879e3da91709f1a5420c507
Author: Michael Chan <mchan@broadcom.com>
Date:   Fri Aug 21 16:20:46 2009 +0000

    bnx2: Apply BROKEN_STATS workaround to 5706 and 5708.

    Add flag to expand the workaround to both chips.

    Signed-off-by: Michael Chan <mchan@broadcom.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>

Comment 1 Flavio Leitner 2009-10-07 19:18:57 UTC
Created attachment 364026 [details]
patch for RHEL5u5

Comment 3 RHEL Program Management 2009-10-07 20:08:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Don Zickus 2009-10-21 19:13:45 UTC
in kernel-2.6.18-170.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 9 errata-xmlrpc 2010-03-30 07:31:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.